#
# spec file for package python-texttable
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with test
Name:           python-texttable
Version:        1.1.1
Release:        lp150.1.3
Summary:        Module for creating simple ASCII tables
License:        LGPL-3.0
Group:          Development/Languages/Python
Url:            https://github.com/foutaise/texttable/
Source:         https://files.pythonhosted.org/packages/source/t/texttable/texttable-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if %{with test}
BuildRequires:  python3-testsuite
%endif
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
texttable is a module to generate a formatted text table, using ASCII
characters.

%prep
%setup -q -n texttable-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/*

%changelog
* Thu Dec  7 2017 sebix+novell.com@sebix.at
- update to 1.1.1, no upstream changelog available
* Tue Aug 18 2015 jmassaguerpla@suse.com
- fix license to LGPL-3.0+ as in LICENSE file
* Thu Apr  9 2015 fcastelli@suse.com
- Updated to version 0.8.3
* Thu Aug 14 2014 fcastelli@suse.com
- Initial package for version 0.8.1
